# Background with grid to show transparency
Framer.Device.screen.image = "images/gridlines.png"
Framer.Device.screen.style =
	backgroundPosition: "0px 0px"
	backgroundRepeat: "repeat"
	backgroundSize: "auto"

pngLayer = new Layer
	width: 160, height: 140, borderRadius: 10
	image: "images/Goldfish.png"
	x: Align.center -180
	y: Align.center -80
	name: "PNG"

svgLayer = new Layer
	width: 160, height: 140, borderRadius: 10
	image: "images/Goldfish.svg"
	x: Align.center
	y: Align.center -80
	name: "SVG"

pdfLayer = new Layer
	width: 160, height: 140, borderRadius: 10
	image: "images/Goldfish.pdf"
	x: Align.center 180
	y: Align.center -80
	name: "PDF"

jpgLayer = new Layer
	width: 160, height: 140, borderRadius: 10
	image: "images/Goldfish.jpg"
	x: Align.center -100
	y: Align.center 80
	name: "JPG"

gifLayer = new Layer
	width: 173, height: 140
	image: "images/Blinky.gif"
	x: Align.center 100
	y: Align.center 80
	name: "GIF"


## ZOOMING IN ##
imageLayers = [pngLayer, svgLayer, pdfLayer, jpgLayer, gifLayer]

# speedier animations
Framer.Defaults.Animation =
	time: .4

# a white overlay to cover the other icons when zooming in
overlay = new Layer
	width: Screen.width
	height: Screen.height
	backgroundColor: "rgba((255,255,255, 0)" # transparent

overlay.states.zoomedin =
	backgroundColor: "rgba(255,255,255,0.9)" # 90% opacity

overlay.onTap ->
	# all layers small again
	for layer in imageLayers
		layer.animate "default"
		overlay.removeChild layer
	overlay.animate "default"
	overlay.ignoreEvents = yes
	overlay.bringToFront()
	# show all labels
	Utils.delay .5, =>
		for layer in imageLayers
			layer.children[0].animate
				opacity: 1

overlay.ignoreEvents = yes

# label + a zoomed in state for every layer
for layer in imageLayers
	
	label = new TextLayer
		width: layer.width - 20
		height: 23
		borderRadius: 13
		backgroundColor: "rgba(0,0,0,0.5)"
		x: Align.center
		y: Align.bottom -10
		parent: layer
		text: layer.name
		color: "#fff"
		fontSize: 15
		textAlign: Align.center
		lineHeight: 23/15
	
	# a zoomed-in state for every layer
	layer.states.zoomedin =
		width: layer.width * 2
		height: layer.height * 2
		x: ( Screen.width - (layer.width * 2) ) / 2
		y: ( Screen.height - (layer.height * 2) ) / 2
	
	layer.onTap ->
		if this.states.current.name isnt "zoomedin"
			# hide label
			this.children[0].opacity = 0
			# place layer temporarely in darkOverlay,
			# so that it’s on top of all others
			this.parent = overlay
			# enlarge the layer
			this.animate "zoomedin"
			# darken the overlay
			overlay.animate "zoomedin"
			# let overlay catch events
			overlay.ignoreEvents = no
		else
			# set everything back to defaults
			this.animate "default"
			overlay.animate "default"
			overlay.ignoreEvents = yes
			overlay.removeChild this
			overlay.bringToFront()
			# show label
			Utils.delay .5, =>
				this.children[0].animate
					opacity: 1

